
class __declspec( dllexport )
neattools_mapper {
public:
	neattools_mapper();
	void init( char* x_longitude_start, char* x_longitude_end,
		char* y_latitude_start, char* y_latitude_end,
		char* imageFile,
		int pixel_width, int pixel_height );
	void map_location( char* longitude, char* latitude );
	void d_map_location( double longitude, double latitude );
	bool isLocationInMap() { return( locationFound ); }
	int getPixelX() { return( pixelX ); }
	int getPixelY() { return( pixelY ); }
	char* toString();
	char* toString2();
private:
	void handle_new_location( int longitude, int latitude );
	GPS_map gpsMap;
	int pixelX;
	int pixelY;
	bool locationFound;
	char lastLongitude[30];
	char lastLatitude[30];
	int lastIntLongitude;
	int lastIntLatitude;
};

